package cz.moneta.test.dsl.util.task.auto.smartauto.setman;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.util.task.auto.smartauto.setman.dealers.DealersTasks;
import cz.moneta.test.dsl.util.task.auto.smartauto.setman.login.LoginTasks;
import cz.moneta.test.dsl.util.task.auto.smartauto.setman.verification.VerificationTasks;

public class SmartAutoSetmanTasks {

    private final Harness harness;

    public SmartAutoSetmanTasks(Harness harness) {
        this.harness = harness;
    }

    public LoginTasks login() {
        return new LoginTasks(harness);
    }

    public VerificationTasks verification() {
        return new VerificationTasks(harness);
    }

    public DealersTasks dealers() {
        return new DealersTasks(harness);
    }
}
